Bug 300721 - Reusing existing partitions during install gets exception
Reusing existing partitions during install gets exception
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker F8Test3
  Show dependency treegraph
 
Reported: 2007-09-21 12:18 EDT by Barry Scott
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 11:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
saved exception from anaconda (76.83 KB, text/plain)
2007-09-21 12:18 EDT, Barry Scott
no flags Details

  None (edit)
Description Barry Scott 2007-09-21 12:18:31 EDT
Description of problem:

Anaconda exception using custom partitioning.

How reproducible:

Install F8 with default disk layout + partition for /home.

Install F8 again this time choose custom disk config and setup
the existing partitions to be reformated with the exception of /home.
I think I missed off assigning /boot.

Click Next get the attached exception.
Comment 1 Barry Scott 2007-09-21 12:18:31 EDT
Created attachment 202521 [details]
saved exception from anaconda
Comment 2 Linus Torvalds 2007-09-28 20:42:10 EDT
I seem to be getting something very similar, using the KDE LiveCD.

However, I don't even need to do any custom disk config, but I started with
a totally wiped disk that had no partition table at all. Anaconda correctly
warned me about having to create a whole new partition table, but then when
it was supposed to do the partitioning, it warned that it couldn't invalidate
the kernel partition support on /dev/sda2 (which didn't exist originally,
so I'm not surprised - you need to open /dev/sda).

I pressed "ignore", but that just caused an exception when trying to actually
mount the newly created partitions.

Re-doing the install didn't help, but rebooting the box entirely did: at that
point the kernel noticed the new partitioning and it's now installing.
Comment 3 Jeremy Katz 2007-10-05 11:33:26 EDT
Actually, I see what's going on here.  Fix coming up in a minute.
Comment 4 Jeremy Katz 2007-10-05 11:36:16 EDT
Okay, tested and works.  Fix committed to CVS and should be in rawhide of tomorrow

Note You need to log in before you can comment on or make changes to this bug.